#!/bin/bash
# 
# Wizard
#
# Copyright (C) 2000 Mandrakesoft.
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# See file LICENSE for further informations on licensing terms.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# 
# Authors: Philippe Vivien, Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
# <corporate@mandrakesoft.com> http://www.mandrakesoft.com

# script for wizard nfs configuration
#
# modify default nfs configuration
# assuming all dependencies are ok
#
# WARNING : just using /etc/exports for nfs configuration, assuming
# other files are close to standard configuration

nfs_file="/etc/exports"

echo "${wiz_nfs_dir} ${wiz_ip_net} ${wiz_ip_netmask}"
echo "wiz_ip_net:${wiz_ip_net}" >t.log
echo "wiz_ip_netmask:${wiz_ip_netmask}" >>t.log

echo "dir:${wiz_nfs_dir}" >>t.log
echo "clt:${wiz_ip_net}/${wiz_ip_netmask}" >>t.log

echo "export :\n">>t.log
echo "${wiz_nfs_dir} ${wiz_ip_net}/${wiz_ip_netmask}(rw,no_root_squash)" >> t.log
echo "${wiz_nfs_dir} ${wiz_ip_net}/${wiz_ip_netmask}(rw,no_root_squash)" > ${nfs_file}

/usr/sbin/exportfs -a

# all is ok
exit 10



