#!/bin/bash
# 
# Wizard
#
# Copyright (C) 2000,2001 Mandrakesoft.
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# See file LICENSE for further informations on licensing terms.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# 
# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
# icons: Helene Durosini <ln@mandrakesoft.com>
# <corporate@mandrakesoft.com> http://www.mandrakesoft.com

# 
# squid	wizard

echo_debug $0

# 
# Squid access control level
# 
# level 1 : all
# level 2 : local network
# level 3 : localhost

param="$1"

[ -z "${param}" ] && param=3
[ ${param} -lt 1 ] && param=1
[ ${param} -gt 3 ] && param=3

[ -z "$LANG" ] && LANG=en

case "$LANG" in

	fr)
	case "${param}" in

		1) txt="Tous, pas de restriction d'accs"
		;;
		2) txt="${wiz_squid_mynetw}"
		;;
		3) txt="Uniquement cette machine"
		;;
	esac
	;;
	
	*)
	case "${param}" in
		1) txt="All, no access restriction"
		;;
		2) txt="${wiz_squid_mynetw}"
		;;
		3) txt="Local host only"
		;;
	esac
	;;
esac

echo_debug "ACL : ${txt}"

echo $txt

exit 0

